petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateLRC

Creates a new matrix object that behaves like A + U*V'

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateLRC(Mat A,Mat U, Mat V,Mat *N)

Collective on Mat Many br

### Input Parameter

| A | - the (sparse) matrix Many br
| U. V | - two dense rectangular (tall and skinny) matrices Many br

### Output Parameter

N -the matrix that represents A + U*V' Many br

Many br

Notes: The matrix A + U*V' is not formed! Rather the new matrix Many brobject performs the matrix-vector product by first multiplying by Many brA and then adding the other term Many br

Level:intermediate
Location:src/mat/impls/lrc/lrc.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html